Bug 219636 - segfault in mount.nfs
segfault in mount.nfs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 10:47 EST by Austin Foxley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: nfs-utils-1.0.10-5.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-01 00:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core dump from mount.nfs (108.00 KB, application/octet-stream)
2006-12-14 10:47 EST, Austin Foxley
no flags Details

  None (edit)
Description Austin Foxley 2006-12-14 10:47:16 EST
Description of problem:


Version-Release number of selected component (if applicable):
nfs-utils-1.0.10-4.fc6

How reproducible:
not quite sure, but I got this on startup at least once (core dump in /
afterwards). How i have my system setup is, /home is mounted off of 192.168.1.7,
but it appears from the core dump that something tried mount /home/distcc off of
192.168.1.7 as well. I realize that's bogus, but I don't think it should
segfault if someone (or some package startup script) tries this.

Actual results:
segfault

Expected results:
error message and failed mount

Additional info:
I realize the core dump probably isn't that helpful (no stack), but i thought I
should document the problem.
Comment 1 Austin Foxley 2006-12-14 10:47:16 EST
Created attachment 143642 [details]
core dump from mount.nfs
Comment 2 Steve Dickson 2006-12-14 14:45:59 EST
Please install the nfs-utils debuginfo package: 
http://people.redhat.com/steved/nfs-utils/nfs-utils-debuginfo-1.0.10-4.fc6.i386.rpm

so if this happens again, please try to get a backtrace by doing
gdb /sbin/mount.nfs
(gdb) bt


Note You need to log in before you can comment on or make changes to this bug.